{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content %}
	{% if todoitem_list and eventitem_list and user.is_anonymous == False %}


		<h1 class="text-center my-3">Welcome {{user.username}}!</h1>
		<div class="container">
			<div class="row">
				<h3 class="text-center mb-3">My Tasks</h3>
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
					{% for todoitem in todoitem_list %}
						<li class="list-group-item">
							<a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{todoitem.task_name}}</a>
						</li>
					{% endfor %}
				</ul>
				<h3 class="text-center mb-3">My Events</h3>
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
					{% for eventitem in eventitem_list %}
						<li class="list-group-item">
							<a href="{% url 'todolist:vieweventitem' eventitem.id %}">{{eventitem.event_name}}</a>
						</li>
					{% endfor %}
			</div>
		</div>

		

	
	{% elif user.is_anonymous == True %}
	
		<h1 class="text-center my-3">You are not authorized to access this page.</h1>
		<p class="text-center">Kindly login <a href="{% url 'todolist:login' %">here</a></p>

	{% else %}
		<p>No tasks/events have been created</p>
	{% endif%}

{% endblock %}